import { createApp } from 'vue'
import { createPinia } from 'pinia'
import piniaPluginPersist from 'pinia-plugin-persist'
import router from './router/index'
import App from './App.vue'

import 'virtual:windi.css'
import './styles/main.css'

import 'element-plus/es/components/message/style/css'
import 'element-plus/es/components/message-box/style/css'

const app = createApp(App)
const store = createPinia()
store.use(piniaPluginPersist)
app.use(store)
app.use(router)
app.mount('#app')
